Commit 75648e30 authored by Seungha Yang's avatar Seungha Yang 🐑
Browse files

meson: lv2: Make use of 'lv2' meson option

Don't try to build this plugin if it was explicitly disabled.
parent 3864c9f9
Pipeline #168030 waiting for manual action with stages
in 17 seconds
......@@ -5,7 +5,12 @@ lv2_sources = [
'gstlv2utils.c',
]
lv2_dep = dependency('lilv-0', version : '>= 0.22', required : get_option('lv2'))
lv2_option = get_option('lv2')
if lv2_option.disabled()
subdir_done()
endif
lv2_dep = dependency('lilv-0', version : '>= 0.22', required : lv2_option)
if lv2_dep.found()
gstlv2 = library('gstlv2',
lv2_sources,
......@@ -18,4 +23,4 @@ if lv2_dep.found()
)
pkgconfig.generate(gstlv2, install_dir : plugins_pkgconfig_install_dir)
plugins += [gstlv2]
endif
endif
\ No newline at end of file
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment